- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Version File Reference

`#include <osgGA/Export>`

Include dependency graph for A/Version:

This graph shows which files directly or indirectly include this file:

## Defines
#define | OSGGA_VERSION 1
## Functions
OSGGA_EXPORT const char * | osgGAGetVersion ()
| getVersion_osgGA() returns the library version number.
OSGGA_EXPORT const char * | osgGAGetLibraryName ()
| getLibraryName_osgGA() returns the library name in human friendly form.

## Define Documentation

#define OSGGA_VERSION 1

## Function Documentation

OSGGA_EXPORT const char* osgGAGetLibraryName | ( |  | ) |

| getLibraryName_osgGA() returns the library name in human friendly form.

OSGGA_EXPORT const char* osgGAGetVersion | ( |  | ) |

| getVersion_osgGA() returns the library version number. Numbering convention : osg_src-0.8-31 will return 0.8.31 from getVersion_osgGA. This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB. Here is the code to add to your configure.in:
     #
     # Check for the OpenSceneGraph (OSG) utility library
     #
     AC_CHECK_LIB(osg, osgGAGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph utility library not found. See http://www.openscenegraph.org)],)